com.jogamp.opengl.util.stereo

## Enum StereoDeviceFactory.DeviceType

- java.lang.Object
- - java.lang.Enum<StereoDeviceFactory.DeviceType>
  - - com.jogamp.opengl.util.stereo.StereoDeviceFactory.DeviceType

- All Implemented Interfaces:
    Serializable, Comparable<StereoDeviceFactory.DeviceType>
  Enclosing class:
    StereoDeviceFactory

      public static enum StereoDeviceFactory.DeviceType
      extends Enum<StereoDeviceFactory.DeviceType>

  `StereoDevice` type used for `createFactory(type)`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Default` Auto selection of device in the following order: `OculusVR` `Generic`
    `Generic` Generic software implementation.
    `OculusVR` OculusVR implementation.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StereoDeviceFactory.DeviceType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static StereoDeviceFactory.DeviceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Default

          public static final StereoDeviceFactory.DeviceType Default

      Auto selection of device in the following order:
      1. `OculusVR`
      2. `Generic`

    - #### Generic

          public static final StereoDeviceFactory.DeviceType Generic

      Generic software implementation.

    - #### OculusVR

          public static final StereoDeviceFactory.DeviceType OculusVR

      OculusVR implementation.

  - ### Method Detail

    - #### values

          public static StereoDeviceFactory.DeviceType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StereoDeviceFactory.DeviceType c : StereoDeviceFactory.DeviceType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StereoDeviceFactory.DeviceType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright 2010 JogAmp Community.